Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Courses

Get Courses
GET /training/courses
https://api.relesysapp.net/api/v1/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"018731a3-79d7-44d5-9f2c-c4033cf557b8","courseGroupId":"bde7d999-84f3-465c-9112-9a543afc11b2","phaseId":"f424b7e2-b31d-4603-a3aa-d47b53fc7e6c","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"a784281a-dd01-4570-a5b1-73754c8f4068","courseGroupId":"97fc6250-03b3-4c1f-9af1-28d5d80568a2","phaseId":"43ebc9a6-3107-45df-90ce-8430ed433225","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string